Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.axiom.units
Class QuantityImpl

    java.lang.Object
      |
      +--com.beasys.commerce.foundation.BelongingImpl
            |
            +--com.beasys.commerce.axiom.units.QuantityImpl

public class QuantityImpl
extends BelongingImpl
implements Quantity, java.lang.Cloneable

The quantity of something. It has a count and a unit of measure (e.g. 4 bags, 5 liters)

See Also:
  `Quantity`, `QuantityHome`, Serialized Form

Field Summary
`double` | `count` The number of units.
`Unit` | `unit` Containment: By Value Multiplicity: 1:1

Fields inherited from class com.beasys.commerce.foundation.BelongingImpl
`__classIdentifier, __containingBelonging, __containingEntity, __mapKey, __sequenceNumber, _isDirty`

Constructor Summary
`QuantityImpl()`

Method Summary
`int` | `compareTo(java.lang.Object o)` Compare this belonging to another
`double` | `getCount()` Get the value of count
`Unit` | `getUnit()` Get the value of unit
`java.lang.String` | `interfaceName()` interfaceName() returns the unqualified name of the interface from the UML model
`void` | `setByValue(Belonging value)` It is possible to call set-by-value with a superclass.
`void` | `setCount(double count)` Set the value of count
`void` | `setUnit(Unit unit)` Set the value of unit
`Belonging` | `value()` value() is a more typesafe implementation of clone()

Methods inherited from class com.beasys.commerce.foundation.BelongingImpl
`clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clone, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, enumerateRelationalBinding, enumerateRelationalBinding, equals, get__classIdentifier, get__containingBelonging, get__containingEntity, get__containingEntityReference, get__mapKey, get__sequenceNumber, getPersistenceHelperPlugin, hashCode, set__classIdentifier, set__containingBelonging, set__containingEntity, set__containingEntityReference, set__mapKey, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### unit

    public Unit unit

  - Containment: By Value
  - Multiplicity: 1:1

### count

    public double count

  The number of units.
  - Containment: By Value
  - Multiplicity: 1:1

Constructor Detail

### QuantityImpl

    public QuantityImpl()

Method Detail

### getUnit

    public Unit getUnit()

  Get the value of unit
  Specified by:
    getUnit in interface Quantity

  Returns:
    unit.

### setUnit

    public void setUnit(Unit unit)

  Set the value of unit
  Specified by:
    setUnit in interface Quantity

  Parameters:
    `unit` - unit to be added

### getCount

    public double getCount()

  Get the value of count
  Specified by:
    getCount in interface Quantity

  Returns:
    count.

### setCount

    public void setCount(double count)

  Set the value of count
  Specified by:
    setCount in interface Quantity

  Parameters:
    `count` - count to be added

### value

    public Belonging value()

  value() is a more typesafe implementation of clone()

  Returns:
    a clone of this instance

### interfaceName

    public java.lang.String interfaceName()

  interfaceName() returns the unqualified name of the interface from the UML model

  Returns:
    the unqualified name of the belonging interface from the UML model

### setByValue

    public void setByValue(Belonging value)

  It is possible to call set-by-value with a superclass. If that is the case, only the fields in the superclass will be set in this instance. The remaining fields get the default values.

  It is also possible to call set-by-value with a subclass. In this case, the specialized fields in the subclass will be ignored. The overridden fields in the subclass will be populated.

  Overrides:
    setByValue in class BelongingImpl

### compareTo

    public int compareTo(java.lang.Object o)

  Compare this belonging to another

  Parameters:
    `o` - target object for comparision
  Returns:
    0 objects are equal
  Overrides:
    compareTo in class BelongingImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved